package com.sundot.airport.web.controller.ledger;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.sundot.airport.common.annotation.Log;
import com.sundot.airport.common.core.controller.BaseController;
import com.sundot.airport.common.core.domain.AjaxResult;
import com.sundot.airport.common.core.page.TableDataInfo;
import com.sundot.airport.common.enums.BusinessType;
import com.sundot.airport.common.utils.poi.ExcelUtil;
import com.sundot.airport.ledger.domain.LedgerDormFireSafety;
import com.sundot.airport.ledger.service.ILedgerDormFireSafetyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/ledger/dormFireSafety")
public class LedgerDormFireSafetyController extends BaseController {

    @Autowired
    private ILedgerDormFireSafetyService service;

    @PreAuthorize("@ss.hasPermi('ledger:dormFireSafety:list')")
    @GetMapping("/list")
    public TableDataInfo list(LedgerDormFireSafety query) {
        startPage();
        List<LedgerDormFireSafety> list = service.selectList(query);
        return getDataTable(list);
    }

    @PreAuthorize("@ss.hasPermi('ledger:dormFireSafety:export')")
    @Log(title = "宿舍消防安全专项自查", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, LedgerDormFireSafety query) {
        List<LedgerDormFireSafety> list = service.selectList(query);
        ExcelUtil<LedgerDormFireSafety> util = new ExcelUtil<>(LedgerDormFireSafety.class);
        util.exportExcel(response, list, "宿舍消防安全专项自查");
    }

    @PreAuthorize("@ss.hasPermi('ledger:dormFireSafety:query')")
    @GetMapping("/{id}")
    public AjaxResult getInfo(@PathVariable Long id) {
        return AjaxResult.success(service.getById(id));
    }
}
